
import HomePage from '../pages/home.vue'
import RadioPage from '../pages/Radio.vue'
import ShowPage from '../pages/Show.vue'
import NotFoundPage from '../pages/404.vue'

var routes = [
  {
    path: '/',
    master: true,
    component: HomePage,
    detailRoutes: [{
      path: '/radio/:radioName',
      component: RadioPage,
    },
    {
      path: '/radio/:radioId/shows/:showId',
      component: ShowPage
    }],
  },
  {
    path: '(.*)',
    component: NotFoundPage,
  },
]

export default routes
